//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "nastav2.h"
#include <inifiles.hpp>
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm4 *Form4;
//---------------------------------------------------------------------------

__fastcall TForm4::TForm4(TComponent* Owner)
        : TForm(Owner)
{
  //nacita relevantnu cast ini suboru
  TIniFile *ini;

  ini=new TIniFile(ChangeFileExt(Application->ExeName,".INI"));

  Edit1->Text=ini->ReadString("Velkost_pop","Pocet","100");
  CheckBox1->Checked=ini->ReadBool("Symetria","Checked",false);
  RadioButton1->Checked=ini->ReadBool("Symetria","2nasobna symetria",false);
  RadioButton2->Checked=ini->ReadBool("Symetria","4nasobna symetria",false);
  CheckBox2->Checked=ini->ReadBool("Stol","Doska",false);

  if(CheckBox1->Checked){
    RadioButton1->Enabled=true;
    RadioButton2->Enabled=true;
    CheckBox2->Enabled=true;
    }
  else {
    RadioButton1->Enabled=false;
    RadioButton2->Enabled=false;
    CheckBox2->Enabled=false;
    };

  delete ini;
}
//---------------------------------------------------------------------------

void __fastcall TForm4::Button1Click(TObject *Sender)
{
  //uklada nove nastavenia
  TIniFile *ini;
  int pom;

  if(!TryStrToInt(Edit1->Text,pom)){
    Application->MessageBoxA("Nevhodn formt vyplnench dajov","Chyba",MB_OK);
    }
  else{

  ini=new TIniFile(ChangeFileExt(Application->ExeName,".INI"));

  if(StrToInt(Edit1->Text)<=1000)ini->WriteString("Velkost_pop","Pocet",Edit1->Text);
  else {
    ini->WriteString("Velkost_pop","Pocet",1000);
    Edit1->Text="1000";
    };
  ini->WriteBool("Symetria","Checked",CheckBox1->Checked);
  ini->WriteBool("Symetria","2nasobna symetria",RadioButton1->Checked);
  ini->WriteBool("Symetria","4nasobna symetria",RadioButton2->Checked);
  if(CheckBox1->Checked)
    ini->WriteBool("Stol","Doska",CheckBox2->Checked);
  else ini->WriteBool("Stol","Doska",false);

  delete ini;

  Close();

  };
}
//---------------------------------------------------------------------------

void __fastcall TForm4::CheckBox1Click(TObject *Sender)
{
  if(CheckBox1->Checked){
    RadioButton1->Enabled=true;
    RadioButton2->Enabled=true;
    CheckBox2->Enabled=true;
    }
  else {
    RadioButton1->Enabled=false;
    RadioButton2->Enabled=false;
    CheckBox2->Enabled=false;
    };
}

