//---------------------------------------------------------------------------

#ifndef podrob2H
#define podrob2H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------

/**
 * Formular za zobrazenie podrobnych udajov o objekte
 */
class TForm5 : public TForm
{
__published:	// IDE-managed Components
        TLabel *Label1;
        TLabel *pocciar;
        TLabel *Label2;
        TLabel *pocploch;
        TLabel *stabilita;
        TLabel *sedatko;
        TLabel *Label3;
        TLabel *fitness;
private:	// User declarations
public:		// User declarations
        __fastcall TForm5(TComponent* Owner);
  /**
   * Aktualizuje udaje zobrazene na formulari.
   * @param pc pocet ciar objektu
   * @param pp pocet ploch objektu
   * @param stab true, ak je objekt stabilny
   * @param sed true, ak ma objekt sedadlo
   * @param fit hodnota fitness aktualneho objektu
   */
  void __fastcall aktualizuj(int pc, int pp, bool stab, bool sed, float fit);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm5 *Form5;
//---------------------------------------------------------------------------
#endif
