//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "nastav.h"
#include <inifiles.hpp>

//---------------------------------------------------------------------------

#pragma package(smart_init)
#pragma resource "*.dfm"
TForm2 *Form2;

//---------------------------------------------------------------------------

__fastcall TForm2::TForm2(TComponent* Owner)
        : TForm(Owner)
{
  //nacitanie aktualneho nastavenia z ini suboru a nastavenie formulara podla tychto nastaveni
  TIniFile *ini;
   
  ini = new TIniFile(ChangeFileExt(Application->ExeName,".INI"));

  CheckBox12->Checked=ini->ReadBool("Poc_ploch","Checked",false);
  CheckBox13->Checked=ini->ReadBool("Poc_ploch","Min_checked",false);
  CheckBox14->Checked=ini->ReadBool("Poc_ploch","Max_checked",false);
  Edit13->Text=ini->ReadString("Poc_ploch","Min_hodn","");
  Edit14->Text=ini->ReadString("Poc_ploch","Min_penal","");
  Edit15->Text=ini->ReadString("Poc_ploch","Max_hodn","");
  Edit16->Text=ini->ReadString("Poc_ploch","Max_penal","");

  nastav_pocet_ploch(CheckBox12->Checked);

  CheckBox6->Checked=ini->ReadBool("Poc_ciar","Checked",false);
  CheckBox7->Checked=ini->ReadBool("Poc_ciar","Min_checked",false);
  CheckBox8->Checked=ini->ReadBool("Poc_ciar","Max_checked",false);
  Edit5->Text=ini->ReadString("Poc_ciar","Min_hodn","");
  Edit6->Text=ini->ReadString("Poc_ciar","Min_penal","");
  Edit7->Text=ini->ReadString("Poc_ciar","Max_hodn","");
  Edit8->Text=ini->ReadString("Poc_ciar","Max_penal","");

  nastav_pocet_ciar(CheckBox6->Checked);

  CheckBox3->Checked=ini->ReadBool("Sedatko","Checked",false);
  CheckBox4->Checked=ini->ReadBool("Sedatko","Rovnost",false);
  CheckBox5->Checked=ini->ReadBool("Sedatko","Vyska",false);
  CheckBox18->Checked=ini->ReadBool("Sedatko","Stabilita",false);
  Edit3->Text=ini->ReadString("Sedatko","Rov_hodn","");
  Edit4->Text=ini->ReadString("Sedatko","Vys_hodn","");
  Edit21->Text=ini->ReadString("Sedatko","Vys_min_hodn","");
  Edit22->Text=ini->ReadString("Sedatko","Vys_max_hodn","");
  Edit23->Text=ini->ReadString("Sedatko","Sta_hodn","");

  nastav_sedatko(CheckBox3->Checked);

  CheckBox9->Checked=ini->ReadBool("Stol","Checked",false);
  CheckBox10->Checked=ini->ReadBool("Stol","Nohy_checked",false);
  CheckBox11->Checked=ini->ReadBool("Stol","Doska_checked",false);
  Edit1->Text=ini->ReadString("Stol","Nohy_hodn","");
  Edit9->Text=ini->ReadString("Stol","Doska_hodn","");

  nastav_stabilitu_stola(CheckBox9->Checked);

  CheckBox2->Checked=ini->ReadBool("Stabilita","Checked",false);
  Edit2->Text=ini->ReadString("Stabilita","hodn","");

  nastav_stabilitu(CheckBox2->Checked);

  delete ini;
}
//---------------------------------------------------------------------------

void __fastcall TForm2::CheckBox3Click(TObject *Sender)
{
  if(CheckBox3->Checked){
    nastav_sed_rov(true);
    nastav_sed_vys(true);
    nastav_sed_sta(true);
    }
  else {
    nastav_sed_rov(false);
    nastav_sed_vys(false);
    nastav_sed_sta(false);
    };
}
//---------------------------------------------------------------------------

void __fastcall TForm2::nastav_stabilitu(bool ako)
{
  //CheckBox2->Enabled=ako;
  if((!CheckBox2->Checked)&&ako)return;
  Edit2->Enabled=ako;
}

//---------------------------------------------------------------------------

void __fastcall TForm2::nastav_sedatko(bool ako)
{
 // CheckBox3->Enabled=ako;
  if((!CheckBox3->Checked)&&ako)return;   //ak je zaskrtnuty a ma sa aktivovat
  nastav_sed_rov(ako);
  nastav_sed_vys(ako);
  nastav_sed_sta(ako);
}

//---------------------------------------------------------------------------

void __fastcall TForm2::nastav_sed_rov(bool ako)
{
  CheckBox4->Enabled=ako;
  if((!CheckBox4->Checked)&&ako)return;
  Edit3->Enabled=ako;
}

//---------------------------------------------------------------------------

void __fastcall TForm2::nastav_sed_sta(bool ako)
{
  CheckBox18->Enabled=ako;
  if((!CheckBox18->Checked)&&ako)return;
  Edit23->Enabled=ako;
}

//---------------------------------------------------------------------------

void __fastcall TForm2::nastav_sed_vys(bool ako)
{
  CheckBox5->Enabled=ako;
  if((!CheckBox5->Checked)&&ako)return;
  Edit4->Enabled=ako;
  Edit21->Enabled=ako;
  Edit22->Enabled=ako;
  StaticText10->Enabled=ako;
  StaticText11->Enabled=ako;
}

//---------------------------------------------------------------------------

void __fastcall TForm2::CheckBox4Click(TObject *Sender)
{
  if(CheckBox4->Checked)
    Edit3->Enabled=true;
  else Edit3->Enabled=false;
}
//---------------------------------------------------------------------------

void __fastcall TForm2::CheckBox5Click(TObject *Sender)
{
  if(CheckBox5->Checked){
    Edit4->Enabled=true;
    Edit21->Enabled=true;
    Edit22->Enabled=true;
    StaticText10->Enabled=true;
    StaticText11->Enabled=true;
    }
  else {
    Edit4->Enabled=false;
    Edit21->Enabled=false;
    Edit22->Enabled=false;
    StaticText10->Enabled=false;
    StaticText11->Enabled=false;
    };
}
//---------------------------------------------------------------------------

void __fastcall TForm2::CheckBox2Click(TObject *Sender)
{
  if(CheckBox2->Checked)
    Edit2->Enabled=true;
  else Edit2->Enabled=false;
}
//---------------------------------------------------------------------------

void __fastcall TForm2::nastav_pocet_ciar(bool ako)
{
  //CheckBox6->Enabled=ako;
  if((!CheckBox6->Checked)&&ako)return;   //ak je zaskrtnuty a ma sa aktivovat
  nastav_pc_min(ako);
  nastav_pc_max(ako);
}

//---------------------------------------------------------------------------

void __fastcall TForm2::nastav_pc_min(bool ako)
{
  CheckBox7->Enabled=ako;
  if((!CheckBox7->Checked)&&ako)return;
  Edit5->Enabled=ako;
  Edit6->Enabled=ako;
  StaticText2->Enabled=ako;
}

//---------------------------------------------------------------------------

void __fastcall TForm2::nastav_pc_max(bool ako)
{
  CheckBox8->Enabled=ako;
  if((!CheckBox8->Checked)&&ako)return;
  Edit7->Enabled=ako;
  Edit8->Enabled=ako;
  StaticText3->Enabled=ako;
}

//---------------------------------------------------------------------------

void __fastcall TForm2::CheckBox7Click(TObject *Sender)
{
  if(CheckBox7->Checked){
    Edit5->Enabled=true;
    Edit6->Enabled=true;
    StaticText2->Enabled=true;
    }
  else {
    Edit5->Enabled=false;
    Edit6->Enabled=false;
    StaticText2->Enabled=false;
    };
}
//---------------------------------------------------------------------------

void __fastcall TForm2::CheckBox8Click(TObject *Sender)
{
  if(CheckBox8->Checked){
    Edit7->Enabled=true;
    Edit8->Enabled=true;
    StaticText3->Enabled=true;
    }
  else {
    Edit7->Enabled=false;
    Edit8->Enabled=false;
    StaticText3->Enabled=false;
    };
}
//---------------------------------------------------------------------------

void __fastcall TForm2::CheckBox6Click(TObject *Sender)
{
  if(CheckBox6->Checked){
    nastav_pc_min(true);
    nastav_pc_max(true);
    }
  else {
    nastav_pc_min(false);
    nastav_pc_max(false);
    };
}
//---------------------------------------------------------------------------

void __fastcall TForm2::nastav_pocet_ploch(bool ako)
{
 // CheckBox12->Enabled=ako;
  if((!CheckBox12->Checked)&&ako)return;   //ak je zaskrtnuty a ma sa aktivovat
  nastav_pp_min(ako);
  nastav_pp_max(ako);
}

//---------------------------------------------------------------------------

void __fastcall TForm2::nastav_pp_min(bool ako)
{
  CheckBox13->Enabled=ako;
  if((!CheckBox13->Checked)&&ako)return;
  Edit13->Enabled=ako;
  Edit14->Enabled=ako;
  StaticText6->Enabled=ako;
}

//---------------------------------------------------------------------------

void __fastcall TForm2::nastav_pp_max(bool ako)
{
  CheckBox14->Enabled=ako;
  if((!CheckBox14->Checked)&&ako)return;
  Edit15->Enabled=ako;
  Edit16->Enabled=ako;
  StaticText7->Enabled=ako;
}

//---------------------------------------------------------------------------

void __fastcall TForm2::CheckBox14Click(TObject *Sender)
{
  if(CheckBox14->Checked){
    Edit15->Enabled=true;
    Edit16->Enabled=true;
    StaticText7->Enabled=true;
    }
  else {
    Edit15->Enabled=false;
    Edit16->Enabled=false;
    StaticText7->Enabled=false;
    };        
}
//---------------------------------------------------------------------------

void __fastcall TForm2::CheckBox13Click(TObject *Sender)
{
  if(CheckBox13->Checked){
    Edit13->Enabled=true;
    Edit14->Enabled=true;
    StaticText6->Enabled=true;
    }
  else {
    Edit13->Enabled=false;
    Edit14->Enabled=false;
    StaticText6->Enabled=false;
    };
}
//---------------------------------------------------------------------------

void __fastcall TForm2::CheckBox12Click(TObject *Sender)
{
  if(CheckBox12->Checked){
    nastav_pp_min(true);
    nastav_pp_max(true);
    }
  else {
    nastav_pp_min(false);
    nastav_pp_max(false);
    };
}
//---------------------------------------------------------------------------

void __fastcall TForm2::nastav_stabilitu_stola(bool ako)
{
 // CheckBox9->Enabled=ako;
  if((!CheckBox9->Checked)&&ako)return;   //ak je zaskrtnuty a ma sa aktivovat
  nastav_ss_nohy(ako);
  nastav_ss_doska(ako);
}

//---------------------------------------------------------------------------

void __fastcall TForm2::nastav_ss_nohy(bool ako)
{
  CheckBox10->Enabled=ako;
  if((!CheckBox10->Checked)&&ako)return;
  Edit1->Enabled=ako;
}

//---------------------------------------------------------------------------

void __fastcall TForm2::nastav_ss_doska(bool ako)
{
  CheckBox11->Enabled=ako;
  if((!CheckBox11->Checked)&&ako)return;
  Edit9->Enabled=ako;
}
//---------------------------------------------------------------------------

bool __fastcall TForm2::kontrola_dat()
{
  int pom;

  if(Edit13->Enabled)
    if(!TryStrToInt(Edit13->Text,pom))return false;
  if(Edit14->Enabled)
    if(!TryStrToInt(Edit14->Text,pom))return false;
  if(Edit15->Enabled)
    if(!TryStrToInt(Edit15->Text,pom))return false;
  if(Edit16->Enabled)
    if(!TryStrToInt(Edit16->Text,pom))return false;
  if(Edit5->Enabled)
    if(!TryStrToInt(Edit5->Text,pom))return false;
  if(Edit6->Enabled)
    if(!TryStrToInt(Edit6->Text,pom))return false;
  if(Edit7->Enabled)
    if(!TryStrToInt(Edit7->Text,pom))return false;
  if(Edit8->Enabled)
    if(!TryStrToInt(Edit8->Text,pom))return false;
  if(Edit3->Enabled)
    if(!TryStrToInt(Edit3->Text,pom))return false;
  if(Edit4->Enabled)
    if(!TryStrToInt(Edit4->Text,pom))return false;
  if(Edit21->Enabled)
    if(!TryStrToInt(Edit21->Text,pom))return false;
  if(Edit22->Enabled)
    if(!TryStrToInt(Edit22->Text,pom))return false;
  if(Edit23->Enabled)
    if(!TryStrToInt(Edit23->Text,pom))return false;
  if(Edit1->Enabled)
    if(!TryStrToInt(Edit1->Text,pom))return false;
  if(Edit9->Enabled)
    if(!TryStrToInt(Edit9->Text,pom))return false;
  if(Edit2->Enabled)
    if(!TryStrToInt(Edit2->Text,pom))return false;

  return true;
}

//---------------------------------------------------------------------------

void __fastcall TForm2::Button1Click(TObject *Sender)
{
  TIniFile *ini;

  if(!kontrola_dat()){
    Application->MessageBoxA("Nevhodn formt vyplnench dajov","Chyba",MB_OK);
    return;
    };

  ini=new TIniFile(ChangeFileExt(Application->ExeName,".INI"));

  ini->WriteBool("Poc_ploch","Checked",CheckBox12->Checked);
  ini->WriteBool("Poc_ploch","Min_checked",CheckBox13->Checked);
  ini->WriteBool("Poc_ploch","Max_checked",CheckBox14->Checked);
  ini->WriteString("Poc_ploch","Min_hodn",Edit13->Text);
  ini->WriteString("Poc_ploch","Min_penal",Edit14->Text);
  ini->WriteString("Poc_ploch","Max_hodn",Edit15->Text);
  ini->WriteString("Poc_ploch","Max_penal",Edit16->Text);

  ini->WriteBool("Poc_ciar","Checked",CheckBox6->Checked);
  ini->WriteBool("Poc_ciar","Min_checked",CheckBox7->Checked);
  ini->WriteBool("Poc_ciar","Max_checked",CheckBox8->Checked);
  ini->WriteString("Poc_ciar","Min_hodn",Edit5->Text);
  ini->WriteString("Poc_ciar","Min_penal",Edit6->Text);
  ini->WriteString("Poc_ciar","Max_hodn",Edit7->Text);
  ini->WriteString("Poc_ciar","Max_penal",Edit8->Text);

  ini->WriteBool("Sedatko","Checked",CheckBox3->Checked);
  ini->WriteBool("Sedatko","Rovnost",CheckBox4->Checked);
  ini->WriteBool("Sedatko","Vyska",CheckBox5->Checked);
  ini->WriteBool("Sedatko","Stabilita",CheckBox18->Checked);
  ini->WriteString("Sedatko","Rov_hodn",Edit3->Text);
  ini->WriteString("Sedatko","Vys_hodn",Edit4->Text);
  ini->WriteString("Sedatko","Vys_min_hodn",Edit21->Text);
  ini->WriteString("Sedatko","Vys_max_hodn",Edit22->Text);
  ini->WriteString("Sedatko","Sta_hodn",Edit23->Text);

  ini->WriteBool("Stol","Checked",CheckBox9->Checked);
  ini->WriteBool("Stol","Nohy_checked",CheckBox10->Checked);
  ini->WriteBool("Stol","Doska_checked",CheckBox11->Checked);
  ini->WriteString("Stol","Nohy_hodn",Edit1->Text);
  ini->WriteString("Stol","Doska_hodn",Edit9->Text);

  ini->WriteBool("Stabilita","Checked",CheckBox2->Checked);
  ini->WriteString("Stabilita","hodn",Edit2->Text);

  delete ini;

  Close();

}
//---------------------------------------------------------------------------

void __fastcall TForm2::CheckBox18Click(TObject *Sender)
{
  if(CheckBox18->Checked)
    Edit23->Enabled=true;
  else Edit23->Enabled=false;
}
//---------------------------------------------------------------------------

void __fastcall TForm2::CheckBox9Click(TObject *Sender)
{
  if(CheckBox9->Checked){
    nastav_ss_nohy(true);
    nastav_ss_doska(true);
    }
  else {
    nastav_ss_nohy(false);
    nastav_ss_doska(false);
    };
}
//---------------------------------------------------------------------------

void __fastcall TForm2::CheckBox10Click(TObject *Sender)
{
  if(CheckBox10->Checked)
    Edit1->Enabled=true;
  else Edit1->Enabled=false;
}
//---------------------------------------------------------------------------

void __fastcall TForm2::CheckBox11Click(TObject *Sender)
{
  if(CheckBox11->Checked)
    Edit9->Enabled=true;
  else Edit9->Enabled=false;
}
//---------------------------------------------------------------------------

